﻿<%@ Control Language="C#" Inherits="RSM.wvSelector.DisplayPage" EnableViewState="true"
    AutoEventWireup="True" CodeBehind="wvSelector.Display.ascx.cs" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<%@ Register TagPrefix="asiweb" Assembly="Asi.Web" Namespace="Asi.Web.UI.WebControls" %>
<!--
$URL: https://svn.rsm.cloud/repos/NonClient/wvSuite/trunk/wvSuite/wvSelector.Display.ascx $
$Rev: 15694 $
$Date: 2020-12-08 14:21:38 -0600 (Tue, 08 Dec 2020) $
-->

<div>
	<asiweb:StyledLabel runat="server" ID="ConfigDisplay" CssClass="McGladreyVersion"/>
	<asp:Label runat="server" CssClass="Important Error" ID="lblLicenseError" Visible="false"/>
	<asp:Label runat="server" CssClass="wvSelectorPageRequirements" ID="lblMissingRequirements"
		Visible="false">You must save all required fields on this page before adding detail in this area.</asp:Label>
</div>
<asp:Panel runat="server" ID="panContent">
    <asp:Label runat="server" ID="lblSelect" CssClass="wvSelectorInstructions"/>
    <%--Panel to display query params--%>
    <asp:Panel ID="panParams" runat="server">
    </asp:Panel>
    <%--Display IQA results using RAD GRID--%>
    <asp:Panel ID="panAddNew" runat="server" CssClass="wvSelectorAddNew">
        <asp:ImageButton ID="btnAdd" runat="server" ImageUrl="~/iParts/McGladrey/wvSuite/create_new_instance.png" Visible="true" OnClick="AddClick" AlternateText="Add"/>
        <asp:Label ID="lblNewSelector" runat="server" Visible="False" AssociatedControlID="txtNewSelector">Selector:</asp:Label>
        <asp:TextBox ID="txtNewSelector" runat="server" Visible="False"/>
    </asp:Panel>
	<asp:Label ID="lblCreateNewMsg" runat="server" Visible="False" CssClass="Important Error">Entry is not permitted for this type of record.</asp:Label>
    <asp:Panel ID="panError" runat="server">
        <asp:Label ID="lblErrTitle" runat="server" CssClass="Important Error">Unable to process your request!</asp:Label><br />
        <asp:Label ID="lblError" runat="server" CssClass="Error"/>
    </asp:Panel>
    <telerik:RadGrid Skin="" AllowPaging="true" PageSize="20" ID="radDataTable" runat="server"
        AutoGenerateColumns="true" AllowSorting="true" AllowFilteringByColumn="false"
        EnableViewState="false" CssClass="wvSelectorGrid">
        <MasterTableView NoMasterRecordsText="No records found" GroupHeaderItemStyle-CssClass="GroupHead"
            ShowGroupFooter="false" GroupsDefaultExpanded="true"/>
    </telerik:RadGrid>
</asp:Panel>